SatBinomConsumer Class Referenceabstract

`#include <SatBinomConsumer.h>`

Inheritance diagram for SatBinomConsumer:

## Public Member Functions

virtual | ~SatBinomConsumer ()
virtual void | consumeRing (const VarNames &names)=0
virtual void | beginConsuming ()=0
virtual void | consume (const vector< mpz_class > &term)=0
virtual void | doneConsuming ()=0
virtual void | consume (const SatBinomIdeal &ideal)
void | beginConsuming (const VarNames &names)

## Detailed Description

Definition at line 25 of file SatBinomConsumer.h.

## Constructor & Destructor Documentation

## ~SatBinomConsumer()

SatBinomConsumer::~SatBinomConsumer | ( |  | ) |

virtual

Definition at line 22 of file SatBinomConsumer.cpp.

## Member Function Documentation

## beginConsuming() [1/2]

virtual void SatBinomConsumer::beginConsuming | ( |  | ) |

pure virtual

Implemented in SatBinomRecorder.

## beginConsuming() [2/2]

void SatBinomConsumer::beginConsuming | ( | const VarNames & | names | ) |

Definition at line 25 of file SatBinomConsumer.cpp.

## consume() [1/2]

void SatBinomConsumer::consume | ( | const SatBinomIdeal & | ideal | ) |

virtual

Definition at line 30 of file SatBinomConsumer.cpp.

## consume() [2/2]

virtual void SatBinomConsumer::consume | ( | const vector< mpz_class > & | term | ) |

pure virtual

Implemented in SatBinomRecorder.

## consumeRing()

virtual void SatBinomConsumer::consumeRing | ( | const VarNames & | names | ) |

pure virtual

Implemented in SatBinomRecorder.

## doneConsuming()

virtual void SatBinomConsumer::doneConsuming | ( |  | ) |

pure virtual

Implemented in SatBinomRecorder.

The documentation for this class was generated from the following files:

- src/SatBinomConsumer.h
- src/SatBinomConsumer.cpp